<template>
  <div>
    <v-row>
      <v-col>
        <div class="text-center">
          Verifica la información previo a <strong>Crear el documento</strong>
        </div>
      </v-col>
    </v-row>
    <v-row>
      <v-col :cols="12" :sm="12" :md="12" :lg="7" :xl="12">
        <FolioArchivos v-if="renderArchivos" :folio="resumen" />
      </v-col>
    </v-row>
  </div>
</template>
<script>
import FolioArchivos from "@/views/secure/modelo-negocio/documentos/gestion-documento/pasos/resumen/componentes/FolioArchivos.vue";
import store from "@/store";
const axios = store.state.axiosApiLocal;
export default {
  name: "Component-Resumen",
  components: {
    FolioArchivos,
  },
  props: ["folio"],
  data() {
    return {
      renderArchivos: false,
      renderRutas: false,
      resumen: {
        documento: {},
        etiquetas: [],
        estado: {},
        firmas: {
          todas: [],
        },
        idFolio: this.folio.idFolio,
      },
    };
  },
  watch: {
    "folio.indicePaso": function(val, prev) {
      if (val == 4) {
        this.getFolioResumen();
      }
    },
  },
  methods: {
    getFolioResumen() {
      this.renderArchivos = false;
      this.renderRutas = false;
      axios("/modelo-negocio/folios/v1/" + this.folio.idFolio + "/resumen")
        .then((response) => {
          let data = response.data;
          if (data) {
            this.resumen.documento = data.resultado.documento;
            this.resumen.etiquetas = data.resultado.etiquetas;
            this.resumen.estado = data.resultado.estado;
            this.resumen.firmas = data.resultado.firmas;
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        })
        .finally(() => {
          this.renderArchivos = true;
          this.renderRutas = true;
        });
    },
  },
  created() {
    this.getFolioResumen();
  },
};
</script>
